msgpack::adaptor::object_with_zone< std::unique_ptr< T > > Struct Template Reference

`#include <unique_ptr.hpp>`

## Public Member Functions

void | operator() (msgpack::object::with_zone &o, const std::unique_ptr< T > &v) const

## Member Function Documentation

## operator()()

template<typename T >

void msgpack::adaptor::object_with_zone< std::unique_ptr< T > >::operator() | ( | msgpack::object::with_zone & | o,
|  | const std::unique_ptr< T > & | v
| ) |  | const

inline

References msgpack::type::NIL, and msgpack::object::type.

The documentation for this struct was generated from the following file:

- /build/msgpack-c-9A5dfz/msgpack-c-2.1.5/include/msgpack/v1/adaptor/cpp11/unique_ptr.hpp